# Add Biomarker Category

Use `createBiomarkerCategory` to add a new biomarker category.

| Argument | Type              | Description                   |
| -------- | ----------------- | ----------------------------- |
| `name`   | String!           | Name of Biomarker Category.   |
| `parent` | BiomarkerCategory | Parent Category Id.           |
| `order`  | Int               | Sets view order. Default = 0. |

### Available Fields

| Field Name          | Type              | Description                                                                             |
| ------------------- | ----------------- | --------------------------------------------------------------------------------------- |
| `success`           | Boolean!          | **True** if the biomarker category has been created successfully. Otherwise, **False.** |
| `message`           | String!           | Description of the result.                                                              |
| `biomarkerCategory` | BiomarkerCategory | Biomarker category object .                                                             |

### Example

{% tabs %}
{% tab title="Request" %}

```graphql
mutation createBiomarkerCategory {
  createBiomarkerCategory(input: {
    name: "Category Test"
    order: 1
  }) 
  {
    success
    message
    errors { field messages }
    biomarkerCategory {name order id createdAt updatedAt}
  }
}

```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "createBiomarkerCategory": {
      "success": true,
      "message": "Biomarker category saved",
      "errors": null,
      "biomarkerCategory": {
        "name": "Category Test",
        "order": 1,
        "id": "QmlvbWFya2VyQ2F0ZWdvcnk6MTE1",
        "createdAt": "2023-03-31T22:20:15.960024+00:00",
        "updatedAt": "2023-03-31T22:20:15.960051+00:00"
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/query/mutations/lab-tests/add-biomarker-category.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
